<?PHP
////++++++++++++++++ CONFIGURACIÓN DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++++////

////Conexiones y tiempos de ejecución
$VpnEn=$_GET["VPN"] or $VpnEn=$_POST["VPN"];
$LtEn=$_GET["LT"] or $LtEn=$_POST["LT"];
ini_set('max_execution_time', $LtEn);
include ("Conections/$VpnEn.php");
include ("Funcion_Numerico.php");

////++++++++++++++++ CONFIGURACIÓN DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++++////

////Conexiones y tiempos de ejecución
///$VpnEn=$_GET["VPN"] or $VpnEn=$_POST["VPN"];
///$LtEn=$_GET["LT"] or $LtEn=$_POST["LT"];
///ini_set('max_execution_time', $LtEn);
///ini_set('max_execution_time', 99999);
///include ("Conections/$VpnEn.php");
///include ("Conections/VPN20.php");

$Cve_Modulo = "CMOD201506100172";

///Arrastra Variables Fijas
$UsuEn=$_POST['UsuKP'] or $UsuEn=$_GET['UsuKP'];
$TokEn=$_POST["TokenKP"] or $TokEn=$_GET["TokenKP"];
$IDSeEn=$_POST["IdDAcce"] or $IDSeEn=$_GET["IdDAcce"];
$CtaSesionEn=$_POST['CtaSKP'] or $CtaSesionEn=$_GET['CtaSKP'];

	/////////Identificar personalización 1 
		$sqlP1 = mysql_query("select * from wms_personaliza1 where ID='1'");
		if (mysql_numrows($sqlP1)==0) echo "";
		else{
		$registroP1=mysql_fetch_array($sqlP1);
		}
		if (mysql_numrows($sqlP1)>0)
		{
		$BBackg=$registroP1["BODY_BACKGROUND_IMG"];
		}
	
	/////////Identificar personalización 2
		$sqlP2 = mysql_query("select * from wms_personaliza2 where ID='1'");
		if (mysql_numrows($sqlP2)==0) echo "";
		else{
		$registroP2=mysql_fetch_array($sqlP2);
		}
		if (mysql_numrows($sqlP2)>0)
		{
		$Titulo=$registroP2["TITULO_PAGINAS"];
		}
		
	/////////Identificar personalización 3
		$sqlP3 = mysql_query("select * from wms_personaliza3 where ID='1'");
		if (mysql_numrows($sqlP3)==0) echo "";
		else{
		$registroP3=mysql_fetch_array($sqlP3);
		}
		if (mysql_numrows($sqlP3)>0)
		{
		$FuTi_Form=$registroP3["FUENTE_TITULOFORMULARIO"];
		$TaTi_Form=$registroP3["TAMANO_TITULOFORMULARIO"];
		$BgTi_Form=$registroP3["COLOR_TITULOFORMULARIO"];
		$FuCu_Form=$registroP3["FUENTE_FORMULARIO"];
		$TaCu_Form=$registroP3["TAMANO_FORMULARIO"];
		$BgCu_Form=$registroP3["COLOR_FORMULARIO"];
		$FonTi_Form=$registroP3["BG_TABLATITULO"];
		$FonCi_Form=$registroP3["BG_TABLACUERPO"];
		$FonSe_Form=$registroP3["BG_TABLASEPARACION"];
		$Borde_Form=$registroP3["BORDER_CAMPO"];
		$CamDe_Form=$registroP3["BG_CAMPODESHABILITADO"];
		$ClaBtn=$registroP3["CLASE_BOTON"];
		}
		
	/////////Identificar personalización 4
		$sqlP4 = mysql_query("select * from wms_personaliza4 where ID='1'");
		if (mysql_numrows($sqlP4)==0) echo "";
		else{
		$registroP4=mysql_fetch_array($sqlP4);
		}
		if (mysql_numrows($sqlP4)>0)
		{
		$Bord_Tabl=$registroP4["BG_BORDE"];
		$Fond_Tabl=$registroP4["BG_FONDOGRALTABLA"];
		$BgF1_Tabl=$registroP4["BG_FILA_1"];
		$BgF2_Tabl=$registroP4["BG_FILA_2"];
		$FTit_Tabl=$registroP4["FUENTE_TABLATITULO"];
		$TTit_Tabl=$registroP4["TAMANO_FUENTETABLATITULO"];
		$CFTi_Tabl=$registroP4["COLOR_FUENTETABLATITULO"];
		$FEnc_Tabl=$registroP4["FUENTE_TABLAENCA"];
		$TEnc_Tabl=$registroP4["TAMANO_FUENTETABLAENCA"];
		$CEnc_Tabl=$registroP4["COLOR_FUENTETABLAENCA"];
		$FCue_Tabl=$registroP4["FUENTE_TABLACUER"];
		$TCue_Tabl=$registroP4["TAMANO_FUENTETABLACUER"];
		$CCue_Tabl=$registroP4["COLOR_FUENTETABLACUER"];
		}		
		
	/////////Identificar configuracion 1
		$sqlC1 = mysql_query("select * from wms_configura1 where ID='1'");
		if (mysql_numrows($sqlC1)==0) echo "";
		else{
		$registroC1=mysql_fetch_array($sqlC1);
		}
		if (mysql_numrows($sqlC1)>0)
		{
		$TimeInac=$registroC1["TIEMPO_INACTIVIDAD"];
		}
		
	/////////Identifica si el token aun esta vigente
		$ExtAño = substr($TokEn, -28, 4);    // devuelve el año
		$ExtDia = substr($TokEn, -7, 2);    // devuelve el mes
		$ExtMes = substr($TokEn, -14, 2);    // devuelve el día
		$FechTok=$ExtDia."/".$ExtMes."/".$ExtAño;
		$FechAct=$PreTo4=date("d/m/Y");
		
		if ($FechTok<>$FechAct)
		{
			echo "<script>alert('La sesión del Token de seguridad ha caducado.\\nFavor de iniciar sesion nuevamente.');</script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogOff_Force.php?USUkp=$UsuEn&IdDeAcc=$IDSeEn'>";
		}
		else
		{ ///Inicia IF Sesion Token
		
	/////////Identificar permisos de acceso 1
		$sqlPA1 = mysql_query("select * from tabla_usuarios where USUARION='$UsuEn'");
		if (mysql_numrows($sqlPA1)==0) 
		{
			echo "<script>alert('CODIGO: LOGSYS#00001\\nEl Usuario en sesión ha sido truncado por inexistencia.'); </script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogIn.php'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 1
		
	/////////Identificar permisos de acceso 2
		$sqlPA2 = mysql_query("select * from wms_configurapermisosnivelmodulo where USUARIO='$UsuEn' AND CVE_MODULO='$Cve_Modulo'");
		if (mysql_numrows($sqlPA2)==0) 
		{
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=SinPermisos.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&Cve_ModuloKP=$Cve_Modulo'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 2
	
	/////////Identificar permisos de acceso 3 - Acreditación de Sesión Activa	
		$sqlPA3 = mysql_query("select * from tabla_controlsesiones where USUARIO='$UsuEn'");
		if (mysql_numrows($sqlPA3)==0) 
		{
		echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogOff_ReLogIn.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&' target='_parent'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 3
		
		//////HORA y FECHA/////
			$Hora=time();
			$HoraOK=date("H:i:s",$Hora);
			$Fecha=date("Y/m/d");
			
			//////Identificar la Cuenta y la Bodega
			$sqlCR1 = mysql_query("select * from wms_configura_altacuentas where NOMBRE_CUENTA='$CtaSesionEn'");
			if (mysql_numrows($sqlCR1)==0) echo "";
			else{
			$registroCR1=mysql_fetch_array($sqlCR1);
			}
			if (mysql_numrows($sqlCR1)>0)
			{
			$CveBodCR1=$registroCR1["CVE_BODEGA"];
			$CveCueCR1=$registroCR1["CVE_CUENTA"];
			}
			
				$sqlCR2 = mysql_query("select * from wms_configura_altabodega where CVE_BODEGA='$CveBodCR1'");
				if (mysql_numrows($sqlCR2)==0) echo "";
				else{
				$registroCR2=mysql_fetch_array($sqlCR2);
				}
				if (mysql_numrows($sqlCR2)>0)
				{
				$NomBodCR2=$registroCR2["NOMBRE_BODEGA"];
				}
					

////++++++++++++++ FIN CONFIGURACIÓN DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++////

		
		//////HORA y FECHA/////
			$Hora=time();
			$HoraOK=date("H:i:s",$Hora);
			$Fecha=date("Y/m/d");
							

////++++++++++++++ FIN CONFIGURACIÓN DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++////
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
</head>

<body>

<!-- Inicia Cuerpo de la Interfaz Gráfica -->
<Br><Br>
<?PHP

///Inicia Proceso Masivo
///$sql_W2 = "SELECT NO_DOCUMENTO FROM tabla_docsurtido WHERE EDO_DOCUMENTO='DETALLANDO' AND FECHA_CREADO='2016/11/15' AND CVE_CUENTA='2' ORDER BY NO_DOCUMENTO ASC LIMIT 0 , 300";
$sql_W2 = "SELECT NO_DOCUMENTO FROM tabla_docsurtido WHERE EDO_DOCUMENTO='DETALLANDO' AND DISPONIBILIDAD>='$Fecha' AND CVE_CUENTA='$CveCueCR1' ORDER BY NO_DOCUMENTO ASC LIMIT 0 , 1000";
$res_W2=mysql_query($sql_W2) or die('Error en la consulta: '.mysql_error());
While($row_W2 = mysql_fetch_array($res_W2,MYSQL_ASSOC))////////WHILE 1
{///Inicia While 1
$NoDocSuEn=$row_W2["NO_DOCUMENTO"];


		////Buscar el anden Disponible	
		///$sql_AD1 = mysql_query("SELECT DISTINCT (NUM_ANDEN) FROM tabla_andenes WHERE NUM_ANDEN NOT IN (SELECT DISTINCT NO_ANDEN FROM tabla_andenesocupacion) Limit 0,1");
		$sql_AD1 = mysql_query("SELECT DISTINCT (NUM_ANDEN) FROM tabla_andenes WHERE NUM_ANDEN NOT IN (SELECT DISTINCT NO_ANDEN FROM tabla_andenesocupacion Where CVE_CUENTA='$CveCueCR1') AND CVE_CUENTA='$CveCueCR1' Limit 0,1");
		if (mysql_numrows($sql_AD1)==0) echo "";
		else{
		$registro_AD1=mysql_fetch_array($sql_AD1);
		}
		if (mysql_numrows($sql_AD1)>0)
		{
		$NoAndenPG=$registro_AD1["NUM_ANDEN"];
		}
		
		///$CveCueCR1 = "2";
		///$CveBodCR1 = "1";
			

		////ARRASTRANDO LOS VALORES///////
		///$NoAndenPG=$_POST['txt_noAnden'];
		
		//////VALIDAR DATOS EN BLANCO ////////////
		if ($NoAndenPG=="")
			{
			echo "<script>alert('Debes digitar y/o seleccionar el Anden.');</script>";
			}
			else
			{

				/////Identificar si el Anden Existe - Por medio de su No de Anden
				$sqlV1 = mysql_query("select * from tabla_andenes WHERE NUM_ANDEN='$NoAndenPG' AND CVE_CUENTA='$CveCueCR1'");
				if (mysql_numrows($sqlV1)==0) 
				{
					echo "<script>alert('El Andén que deseas asociar No existe dentro del WMS.\\nFavor de corroborarlo.');</script>";
				}
				else 
				{ 
				
				/////Identificar Si YA e agrego el Documento al Mismo Anden
				$sqlO2 = mysql_query("select * from tabla_andenesocupacion WHERE NO_ANDEN='$NoAndenPG' AND CVE_CUENTA='$CveCueCR1' AND NO_DOCUMENTO='$NoDocSuEn'");
				if (mysql_numrows($sqlO2)<>0) 
				{
					echo "<script>alert('El Documento que intentas Asociar actualmente ya se encuentra asociado con el Mismo Andén.\\nFavor de corroborarlo.');</script>";
				}
				else 
				{ 
				
				/////Identificar la ocupación del Anden
				$sqlO1 = mysql_query("select * from tabla_andenesocupacion WHERE NO_ANDEN='$NoAndenPG' AND CVE_CUENTA='$CveCueCR1'");
				if (mysql_numrows($sqlO1)<>0) 
				{
					echo "<script>alert('El Andén que deseas asociar actualmente se escuentra en uso por otro Documento (Surtido).\\nFavor de corroborarlo.');</script>";
				}
				else 
				{ 
				
					////Identificar los datos del Anden
					$sqlIDR2 = mysql_query("select * from tabla_andenes where CVE_CUENTA='$CveCueCR1' AND NUM_ANDEN='$NoAndenPG'");
					if (mysql_numrows($sqlIDR2)==0) echo "";
					else{
					$registroIDR2=mysql_fetch_array($sqlIDR2);
					}
					if (mysql_numrows($sqlIDR2)>0)
					{
					$CveAnd_IDR2=$registroIDR2["CVE_ANDEN"];
					$NomAnd_IDR2=$registroIDR2["NOM_ANDEN"];
					$TipAnd_IDR2=$registroIDR2["TIPO_ANDEN"];	
					$CapAnd_IDR2=$registroIDR2["CAPACIDAD"];
					}
					
					////Calcular (Sumar) el total de piezas por surtir en el documento				
					$sqlSUMA2 = "SELECT SUM(CANT_X_SURTIR) as ObtCant2 FROM tabla_detalledocsur WHERE CVE_CUENTA='$CveCueCR1' AND NO_DOCUMENTO='$NoDocSuEn'";
					$resSUMA2 = mysql_query($sqlSUMA2); 
					$PrePiezas2 = mysql_fetch_assoc($resSUMA2);
					$TotalPiXSur = $PrePiezas2 ['ObtCant2'];
					
					////Identificar si el Andén tiene la suficiente capacidad para almacenar el pedido
					if ($TotalPiXSur > $CapAnd_IDR2)
					{
						echo "<script>alert('El Volumen de surtido del pendido: $NoDocSuEn sobrepasa la capacidad configurada al Andén seleccionado.\\nFavor de corroborarlo.');</script>";
					}
					else
					{
						
					//////HORA y FECHA/////
						$Hora=time();
						$HoraOK=date("H:i:s",$Hora);
						$Fecha=date("Y/m/d");
					
					////Guarda el registro de la Ocupación del Anden						
					///////GENERADOR DE FOLIO///////////
					$sqlID = "select max(ID) as ultimo_FOLIO from tabla_andenesocupacion"; 
					$lib = mysql_query($sqlID); 
					$rs_lib = mysql_fetch_assoc($lib); 
					$id_nuevo = $rs_lib['ultimo_FOLIO'] + 1;
			
					//////GUARDAR EL LA BD//////////
					$sqlGP = "insert into tabla_andenesocupacion (ID,CVE_BODEGA,CVE_CUENTA,NO_ANDEN,ESTATUS_ANDEN,TIPO_PROCESO,NO_DOCUMENTO,USUARIO_REG,FECHA,HORA)
values('$id_nuevo','$CveBodCR1','$CveCueCR1','$NoAndenPG','OCUPADO','SURTIDO','$NoDocSuEn','$UsuEn','$Fecha','$HoraOK')";
					$resultadoGP=mysql_query($sqlGP,$conexion) or die(mysql_error());
					
					
					////Guarda el registro de la Asociación del Anden
					///////GENERADOR DE FOLIO///////////
					$sqlID = "select max(ID) as ultimo_FOLIO from tabla_asociaanden"; 
					$lib = mysql_query($sqlID); 
					$rs_lib = mysql_fetch_assoc($lib); 
					$id_nuevo = $rs_lib['ultimo_FOLIO'] + 1;
			
					//////GUARDAR EL LA BD//////////
					$sqlGP = "insert into tabla_asociaanden (ID,CVE_BODEGA,CVE_CUENTA,CVE_ANDEN,NO_ANDEN,NOMBRE_ANDEN,ESTATUS_ANDEN,TIPO_PROCESO,NO_DOCUMENTO,ESTADO_DOCUMENTO,USUARIO_REG,FECHA,HORA)
     values('$id_nuevo','$CveBodCR1','$CveCueCR1','$CveAnd_IDR2','$NoAndenPG','$NomAnd_IDR2','OCUPADO','SURTIDO','$NoDocSuEn','ASOCIADO','$UsuEn','$Fecha','$HoraOK')";
					$resultadoGP=mysql_query($sqlGP,$conexion) or die(mysql_error());
					
				//////Guarda la Modificación del Estado de Calidad de Documento
					$sqlME="UPDATE tabla_docsurtido SET EDO_DOCUMENTO='ASOCIADO' WHERE CVE_CUENTA='$CveCueCR1' AND NO_DOCUMENTO='$NoDocSuEn'";
					$resultadoME=mysql_query($sqlME,$conexion) or die(mysql_error());

}///Termina While 1					
		
				
			
			}
			}
			}
			}
			}
			
			echo "<script>alert('DOCUMENTOS ASOCIADOS CORRECTAMENTE');</script>";
			///echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=http://www.logsyswms.com'>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=64-AltaAsociaAnden.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'>";

} ///Termina IF Permiso de Acceso 3
} ///Termina IF Permiso de Acceso 2
} ///Termina IF Permiso de Acceso 1
} ///Termina IF Sesion del Token

?>

<!-- Termina Cuerpo de la Interfaz Gráfica -->
</body>
</html>